Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.validation
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.validation.ValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class ValidationException

extends CayenneRuntimeException

An exception thrown on unsuccessful validation.

Since:
  1.1
Author:
  Fabricio Voznika
See Also:
  Serialized Form

Constructor Summary
`ValidationException(java.lang.String message)`
`ValidationException(java.lang.String message, ValidationResult result)`
`ValidationException(ValidationResult result)`

Method Summary
`ValidationResult` | `getValidationResult()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(java.lang.String message)

### ValidationException

    public ValidationException(ValidationResult result)

### ValidationException

    public ValidationException(java.lang.String message,
                               ValidationResult result)

Method Detail

### getValidationResult

    public ValidationResult getValidationResult()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.